<?php

namespace Drupal\monarch_bootstrap\Plugin\Preprocess;

use Drupal\monarch_bootstrap\Plugin\Preprocess\PreprocessBase;

/**
 * Pre-processes variables for 2 column layouts.
 *
 * @MonarchPreprocess("bootstrap_columns_2")
 */
class LayoutColumns2 extends PreprocessBase { 
  
  /**
   * {@inheritdoc}
   */
  public function preprocess(array &$variables, $hook, array $info) {
    parent::preprocess($variables, $hook, $info);

    $settings = $variables['settings'];

    // Set breakpoint element.
    if (!empty($settings['breakpoint']) && $settings['breakpoint'] != 'all') {
      $variables['breakpoint'] = $settings['breakpoint'];
    }

    // Set layout element.
    $layouts = [
      'layout--50-50' => ['6', '6'],
      'layout--75-25' => ['9', '3'],
      'layout--66-33' => ['8', '4'],
      'layout--25-75' => ['3', '9'],
      'layout--33-66' => ['4', '8'],
    ];
    
    if (!empty($settings['layout'])) {
      $variables['column_class'] = $layouts[$settings['layout']];
    }
  }
}
